import java.lang.annotation.*;

@Target(value=ElementType.TYPE)
@Retention(value=RetentionPolicy.RUNTIME)
@Documented
public @interface Converter
{
	/**
	 * The JSF converter id. Default to the component name.
	 */
	String id() default "";

	/**
	 * If specified, register this component as the default converter for a type.
	 */
	Class forClass() default void.class;
}
